Add a storefront domain

Adds a new custom domain to the storefront.

Adds a new custom domain to the storefront.

Requires the storefront:domains:write or storefront.write permission.

Request

POST /storefront/domains

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/x-www-form-urlencoded

Request Body

FieldTypeRequiredDescription
hostnamestringYesThe fully-qualified domain name to add (e.g. www.myshop.com).

Example Request

POST /storefront/domains
Content-Type: application/x-www-form-urlencoded

hostname=www.myshop.com

Response

Returns the created domain object with the same fields as List storefront domains.

Example Response

{
  "id": "def456",
  "hostname": "www.myshop.com",
  "kind": "custom",
  "status": "pending"
}
Form Data
string
required

Fully-qualified domain name

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json